Tennis V1
Top Competitions
Get the most popular tennis tournaments
GET
/
competitions
/
top
Top Tournaments
curl --request GET \
--url https://api.sportsapipro.com/v1/tennis/competitions/top \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sportsapipro.com/v1/tennis/competitions/top"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sportsapipro.com/v1/tennis/competitions/top', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Overview
Returns the most popular tennis tournaments, sorted by popularity and current activity level.Code Examples
curl -X GET "https://api.sportsapipro.com/v1/tennis/competitions/top" \
-H "x-api-key: YOUR_API_KEY"
const response = await fetch(
'https://api.sportsapipro.com/v1/tennis/competitions/top',
{ headers: { 'x-api-key': 'YOUR_API_KEY' } }
);
const { competitions } = await response.json();
import requests
response = requests.get(
'https://api.sportsapipro.com/v1/tennis/competitions/top',
headers={'x-api-key': 'YOUR_API_KEY'}
)
Response Structure
array
Array of top tennis competitions ordered by popularity
Use this endpoint to discover current active tournament IDs for use in other API calls.
Last modified on June 29, 2026
Was this page helpful?
⌘I
Top Tournaments
